<?php



class Model extends Object
{
	/** @var DibiConnection */
	private $db;



	public function __construct()
	{
		$this->db = new DibiConnection(array(
			'driver' => 'sqlite',
			'database' => APP_DIR . '/models/sample.sdb',
			'profiler' => TRUE,
		));
	}



    /**
     * @return array
     */
	public function getTableNames()
	{
		return $this->db->getDatabaseInfo()->getTableNames();
	}



    /**
     * @return DibiDataSource
     */
	public function getDataSource($table)
	{
		return $this->db->dataSource('SELECT * FROM %n', $table);
	}

	public function getCustomerAndOrderInfo() {
		return $this->db->dataSource('SELECT C.*, count(O.orderNumber) AS orders FROM Customers AS C
			LEFT JOIN Orders AS O ON C.customerNumber = O.customerNumber GROUP BY C.customerNumber');
	}

}